<?php

/**
 * @var View       $this
 * @var PostCustom $event
 * @var string     $preview_subject
 * @var string     $preview_message
 */

use notify_events\models\View;
use notify_events\modules\wordpress\models\events\post\PostCustom;

?>

<div class="wrap" id="notify-events-wordpress-event-post-custom">

    <h2>
        <?= esc_html($event->title) ?>
    </h2>

    <form method="post">
        <?= $this->render('_header', [
            'event'           => $event,
            'preview_subject' => $preview_subject,
            'preview_message' => $preview_message,
        ], false) ?>

        <table class="form-table">
            <?= $this->render('form/title', [
                'event' => $event,
            ], false) ?>
            <?= $this->render('form/enabled', [
                'event' => $event,
            ], false) ?>
            <?= $this->render('form/channel', [
                'event' => $event,
            ], false) ?>
            <?= $this->render('form/_checkbox', [
                'model' => $event,
                'title' => __('Is Status Changed', WPNE),
                'field' => 'post_is_status_changed',
            ], false) ?>
            <?= $this->render('form/_multi_select', [
                'model' => $event,
                'title' => __('Old Status', WPNE),
                'field' => 'post_old_status',
                'items' => $event::post_status_list(),
            ], false) ?>
            <?= $this->render('form/_multi_select', [
                'model' => $event,
                'title' => __('New Status', WPNE),
                'field' => 'post_status',
                'items' => $event::post_status_list(),
            ], false) ?>
            <?= $this->render('form/subject', [
                'event' => $event,
            ], false) ?>
            <?= $this->render('form/message', [
                'event' => $event,
            ], false) ?>
            <?= $this->render('form/priority', [
                'event' => $event,
            ], false) ?>
        </table>

        <p class="submit">
            <input type="submit" class="button-primary" value="<?= __('Save Changes', WPNE) ?>">
            <input type="submit" class="button" name="preview" value="<?= __('Preview', WPNE) ?>">
        </p>
    </form>

</div>
